Subject: [Dime] using the string "+apX" for the application identifiers in RFC6408

From: Qin Wu <[email-masked]>
Date: Mon, 21 Oct 2013 07:49:21 +0000

Hi,Dimer:
Can anybody tell me why use the string "+apX" for the application identifiers in RFC6408? Why not use some kind of acronym for them?

E.g., Can I change 'aaa+apX' in the following "(S-NAPTR)  Application Service Tag" registry table

             +------------------+----------------------------+

             | Tag              | Diameter Application       |

             +------------------+----------------------------+

             | aaa+ap1          | NASREQ [RFC3588<http://tools.ietf.org/html/rfc3588>]           |

             | aaa+ap2          | Mobile IPv4 [RFC4004<http://tools.ietf.org/html/rfc4004>]      |

             +------------------+----------------------------+

as "aaa+aconym" as follows:

             +------------------+----------------------------+

             | Tag              | Diameter Application       |

             +------------------+----------------------------+

             | aaa+nasreq       | NASREQ [RFC3588<http://tools.ietf.org/html/rfc3588>]           |

             | aaa+mip4         | Mobile IPv4 [RFC4004<http://tools.ietf.org/html/rfc4004>]      |

             +------------------+----------------------------+

Regards!

-Qin

---

From: Jouni Korhonen <[email-masked]>
Date: Mon, 21 Oct 2013 11:02:23 +0300

The "apX" directly identified the application identifier number.
Therefore there is no need to maintain mapping between human
readable acronyms and actual application identifier numbers.

- Jouni

On Oct 21, 2013, at 10:49 AM, Qin Wu <[email-masked]> wrote:

> E.g., Can I change ‘aaa+apX’ in the following "(S-NAPTR)  Application Service Tag" registry table
>              | aaa+ap1          | NASREQ [RFC3588]           |
>              | aaa+ap2          | Mobile IPv4 [RFC4004]      |
> as “aaa+aconym” as follows:
>  
>              | aaa+nasreq       | NASREQ [RFC3588]           |
>              | aaa+mip4         | Mobile IPv4 [RFC4004]      |
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime